Subject: bug#10688: The default mode for Perl should be cperl-mode instead of perl-mode

From: joe higton <[email-masked]>
Date: Thu, 2 Feb 2012 13:59:39 +0000

On 2 February 2012 13:25, Richard Stallman <[email-masked]> wrote:

> I don't recall what those drawbacks were -- I never used Perl -- and I
> don't know if this is still true.

Although this is far from a scientific survey, the discussion which lead to
this bug (which took place on the perl reddit group) seemed to show that
most people now use cperl-mode over perl-mode. And there was some
discussion of the fact that the default of perl-mode was a barrier to new
users getting the best experience.

I could attempt to post in Perl spaces and see if anyone knows what
the shortcomings of cperl-mode might be. Perhaps there will be some
people who remember the orignal concerns were, and whether they were
ever addressed.

Thanks,
  Joe.